.\"	$NetBSD: wdc.4,v 1.17 2003/10/08 11:20:09 bouyer Exp $
.\"
.\" Copyright (c) 1998 Manuel Bouyer.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd October 8, 2003
.Dt WDC 4
.Os
.Sh NAME
.Nm wdc
.Nd WD100x compatible hard disk controllers driver
.Sh SYNOPSIS
.Ss ISA and ISA plug'n'play controllers
.Cd "wdc0 at isa? port 0x1f0 irq 14 flags 0x00"
.Cd "wdc1 at isa? port 0x170 irq 15 flags 0x00"
.Cd "wdc* at isapnp?"
.Ss Open Firmware ISA
.Cd "wdc* at ofisa?"
.Ss PCMCIA controllers
.Cd "wdc* at pcmcia? function ?"
.Ss arm32
.Cd "wdc0 at pioc? offset 0x01f0 irq 9"
.Ss atari
.Cd "wdc0 at mainbus0"
.Ss amiga
.Cd "wdc0 at mainbus0"
.Sh DESCRIPTION
The
.Nm
driver provides the interface with the hardware for the
.Xr ata 4
driver. This driver supports IDE and EIDE controllers, as well as MFM, RLL
and ESDI on the ISA bus. PCI IDE controllers in legacy mode are also supported,
but the
.Xr pciide 4
driver may provide more functionality.
.Pp
On the ISA front-end, the following flags are supported:
.Bl -tag -compact -width "0x0000" -offset "xxxx"
.It 0x0001
Enables 32-bit I/O negotiation in the driver. This is known to cause
problems with some motherboards.
.It 0x0002
Don't probe for the second drive.
.It 0x0004
Set WDC_CAPABILITY_ATA_NOSTREAM flag.
.It 0x0008
Set WDC_CAPABILITY_ATAPI_NOSTREAM flag.
.El
.Sh SEE ALSO
.Xr ata 4 ,
.Xr atapi 4 ,
.Xr intro 4 ,
.Xr isa 4 ,
.Xr isapnp 4 ,
.Xr mainbus 4 ,
.Xr ofisa 4 ,
.Xr pciide 4 ,
.Xr pcmcia 4 ,
.Xr scsi 4 ,
.Xr wd 4
